Loading...
Searching...
No Matches
Sampler< Order, Staggered > Struct Template Reference

Provises a unified interface for sampling, i.e. interpolation. More...

`#include <openvdb/tools/Interpolation.h>`

## Static Public Member Functions

static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
template<class TreeT>
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Sample inTree at the floating-point index coordinate inCoord and store the result in result.
template<class TreeT>
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Sample inTree at the floating-point index coordinate inCoord.

## Detailed Description

template<size_t Order, bool Staggered = false>
struct openvdb::v10_0::tools::Sampler< Order, Staggered >

Provises a unified interface for sampling, i.e. interpolation.

Order = 0: closest point Order = 1: tri-linear Order = 2: tri-quadratic Staggered: Set to true for MAC grids

## Member Function Documentation

## consistent()

template<size_t Order, bool Staggered = false>

bool consistent | ( |  | ) |

static

## mipmap()

template<size_t Order, bool Staggered = false>

bool mipmap | ( |  | ) |

static

## name()

template<size_t Order, bool Staggered = false>

const char * name | ( |  | ) |

static

## order()

template<size_t Order, bool Staggered = false>

size_t order | ( |  | ) |

static

## radius()

template<size_t Order, bool Staggered = false>

int radius | ( |  | ) |

static

## sample() [1/2]

template<size_t Order, bool Staggered = false>
template<class TreeT>

TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord )

static

Sample inTree at the floating-point index coordinate inCoord.

Returns
  the reconstructed value

## sample() [2/2]

template<size_t Order, bool Staggered = false>
template<class TreeT>

bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result )

static

Sample inTree at the floating-point index coordinate inCoord and store the result in result.

Returns
  `true` if the sampled value is active.

## staggered()

template<size_t Order, bool Staggered = false>

bool staggered | ( |  | ) |

static